OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
AirportFTAbuildup Struct Reference

State machine input struct (from external file, etc.) Finite sTate mAchine –> FTA. More...

`#include <airport_movement.h>`

## Data Fields
byte | position
| The position that an airplane is at.
byte | heading
| The current orders (eg. TAKEOFF, HANGAR, ENDLANDING, etc.).
uint64 | block
| The block this position is on on the airport (st->airport.flags).
byte | next
| Next position from this position.

## Detailed Description

State machine input struct (from external file, etc.) Finite sTate mAchine –> FTA.

Definition at line 20 of file airport_movement.h.

The documentation for this struct was generated from the following file:

- src/table/airport_movement.h